﻿using UserManager.Application.Features.Users.Interfaces;
using UserManager.Application.Features.Users.Requests;
using UserManager.Application.Features.Users.Responses;
using UserManager.Application.Interfaces;
using UserManager.Domain.Entities;

namespace UserManager.Application.Features.Users.Services
{
    public class UserService(IUnitOfWork unitOfWork) : IUserService
    {
        private readonly IUnitOfWork _unitOfWork = unitOfWork;

        public async Task<CreateUserResponseDto> CreateUserAsync(CreateUserRequestDto request)
        {
            // TODO
            // First validate this user does not exist
            User user = new()
            {
                FirstName = request.FirstName,
                LastName = request.LastName,
                CreateAtUtc = DateTime.UtcNow,
            };

            await _unitOfWork.UserRepository.CreateAsync(user);
            await _unitOfWork.SaveChangesAsync();

            return new CreateUserResponseDto()
            {
                UserId = user.UserId,
                FirstName = user.FirstName,
            };
        }
    }
}
