﻿using Microsoft.EntityFrameworkCore;
using UserManager.Application.Interfaces;

namespace UserManager.Infrastructure
{
    public class BaseRepository<TEntity>(UserManagerContext context) : IBaseRepository<TEntity> where TEntity : class
    {
        private readonly UserManagerContext _context = context;
        private readonly DbSet<TEntity> _dbSet = context.Set<TEntity>();

        public async Task CreateAsync(TEntity entity)
        {
            await _dbSet.AddAsync(entity);
        }
    }
}
